## Function template ends_with

boost::log::expressions::ends_with

## Synopsis

    // In header: <boost/log/expressions/predicates/ends_with.hpp>

    template<typename T, typename SubstringT>
      unspecified ends_with(attribute_name const & name,
                            SubstringT const & substring);

## Description

The function generates a terminal node in a template expression. The node will check if the attribute value, which is assumed to be a string, ends with the specified substring.